/******/ (function(modules) { // webpackBootstrap
/******/ 	// install a JSONP callback for chunk loading
/******/ 	function webpackJsonpCallback(data) {
/******/ 		var chunkIds = data[0];
/******/ 		var moreModules = data[1];
/******/ 		var executeModules = data[2];
/******/
/******/ 		// add "moreModules" to the modules object,
/******/ 		// then flag all "chunkIds" as loaded and fire callback
/******/ 		var moduleId, chunkId, i = 0, resolves = [];
/******/ 		for(;i < chunkIds.length; i++) {
/******/ 			chunkId = chunkIds[i];
/******/ 			if(Object.prototype.hasOwnProperty.call(installedChunks, chunkId) && installedChunks[chunkId]) {
/******/ 				resolves.push(installedChunks[chunkId][0]);
/******/ 			}
/******/ 			installedChunks[chunkId] = 0;
/******/ 		}
/******/ 		for(moduleId in moreModules) {
/******/ 			if(Object.prototype.hasOwnProperty.call(moreModules, moduleId)) {
/******/ 				modules[moduleId] = moreModules[moduleId];
/******/ 			}
/******/ 		}
/******/ 		if(parentJsonpFunction) parentJsonpFunction(data);
/******/
/******/ 		while(resolves.length) {
/******/ 			resolves.shift()();
/******/ 		}
/******/
/******/ 		// add entry modules from loaded chunk to deferred list
/******/ 		deferredModules.push.apply(deferredModules, executeModules || []);
/******/
/******/ 		// run deferred modules when all chunks ready
/******/ 		return checkDeferredModules();
/******/ 	};
/******/ 	function checkDeferredModules() {
/******/ 		var result;
/******/ 		for(var i = 0; i < deferredModules.length; i++) {
/******/ 			var deferredModule = deferredModules[i];
/******/ 			var fulfilled = true;
/******/ 			for(var j = 1; j < deferredModule.length; j++) {
/******/ 				var depId = deferredModule[j];
/******/ 				if(installedChunks[depId] !== 0) fulfilled = false;
/******/ 			}
/******/ 			if(fulfilled) {
/******/ 				deferredModules.splice(i--, 1);
/******/ 				result = __webpack_require__(__webpack_require__.s = deferredModule[0]);
/******/ 			}
/******/ 		}
/******/
/******/ 		return result;
/******/ 	}
/******/
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// object to store loaded and loading chunks
/******/ 	// undefined = chunk not loaded, null = chunk preloaded/prefetched
/******/ 	// Promise = chunk loading, 0 = chunk loaded
/******/ 	var installedChunks = {
/******/ 		"app": 0
/******/ 	};
/******/
/******/ 	var deferredModules = [];
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	var jsonpArray = window["webpackJsonp"] = window["webpackJsonp"] || [];
/******/ 	var oldJsonpFunction = jsonpArray.push.bind(jsonpArray);
/******/ 	jsonpArray.push = webpackJsonpCallback;
/******/ 	jsonpArray = jsonpArray.slice();
/******/ 	for(var i = 0; i < jsonpArray.length; i++) webpackJsonpCallback(jsonpArray[i]);
/******/ 	var parentJsonpFunction = oldJsonpFunction;
/******/
/******/
/******/ 	// add entry module to deferred list
/******/ 	deferredModules.push([0,"chunk-vendors"]);
/******/ 	// run deferred modules when ready
/******/ 	return checkDeferredModules();
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__("cd49");


/***/ }),

/***/ "034f":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var _node_modules_mini_css_extract_plugin_dist_loader_js_ref_6_oneOf_1_0_node_modules_css_loader_index_js_ref_6_oneOf_1_1_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_src_index_js_ref_6_oneOf_1_2_node_modules_cache_loader_dist_cjs_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_App_vue_vue_type_style_index_0_lang_css___WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__("64a9");
/* harmony import */ var _node_modules_mini_css_extract_plugin_dist_loader_js_ref_6_oneOf_1_0_node_modules_css_loader_index_js_ref_6_oneOf_1_1_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_src_index_js_ref_6_oneOf_1_2_node_modules_cache_loader_dist_cjs_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_App_vue_vue_type_style_index_0_lang_css___WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_node_modules_mini_css_extract_plugin_dist_loader_js_ref_6_oneOf_1_0_node_modules_css_loader_index_js_ref_6_oneOf_1_1_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_src_index_js_ref_6_oneOf_1_2_node_modules_cache_loader_dist_cjs_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_App_vue_vue_type_style_index_0_lang_css___WEBPACK_IMPORTED_MODULE_0__);
/* unused harmony reexport * */
 /* unused harmony default export */ var _unused_webpack_default_export = (_node_modules_mini_css_extract_plugin_dist_loader_js_ref_6_oneOf_1_0_node_modules_css_loader_index_js_ref_6_oneOf_1_1_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_src_index_js_ref_6_oneOf_1_2_node_modules_cache_loader_dist_cjs_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_App_vue_vue_type_style_index_0_lang_css___WEBPACK_IMPORTED_MODULE_0___default.a); 

/***/ }),

/***/ "0c83":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var _node_modules_mini_css_extract_plugin_dist_loader_js_ref_6_oneOf_1_0_node_modules_css_loader_index_js_ref_6_oneOf_1_1_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_src_index_js_ref_6_oneOf_1_2_node_modules_cache_loader_dist_cjs_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_PremiumButton_vue_vue_type_style_index_0_id_85eaeb4a_scoped_true_lang_css___WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__("eabd");
/* harmony import */ var _node_modules_mini_css_extract_plugin_dist_loader_js_ref_6_oneOf_1_0_node_modules_css_loader_index_js_ref_6_oneOf_1_1_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_src_index_js_ref_6_oneOf_1_2_node_modules_cache_loader_dist_cjs_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_PremiumButton_vue_vue_type_style_index_0_id_85eaeb4a_scoped_true_lang_css___WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_node_modules_mini_css_extract_plugin_dist_loader_js_ref_6_oneOf_1_0_node_modules_css_loader_index_js_ref_6_oneOf_1_1_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_src_index_js_ref_6_oneOf_1_2_node_modules_cache_loader_dist_cjs_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_PremiumButton_vue_vue_type_style_index_0_id_85eaeb4a_scoped_true_lang_css___WEBPACK_IMPORTED_MODULE_0__);
/* unused harmony reexport * */
 /* unused harmony default export */ var _unused_webpack_default_export = (_node_modules_mini_css_extract_plugin_dist_loader_js_ref_6_oneOf_1_0_node_modules_css_loader_index_js_ref_6_oneOf_1_1_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_src_index_js_ref_6_oneOf_1_2_node_modules_cache_loader_dist_cjs_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_PremiumButton_vue_vue_type_style_index_0_id_85eaeb4a_scoped_true_lang_css___WEBPACK_IMPORTED_MODULE_0___default.a); 

/***/ }),

/***/ "11ea":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var _node_modules_mini_css_extract_plugin_dist_loader_js_ref_6_oneOf_1_0_node_modules_css_loader_index_js_ref_6_oneOf_1_1_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_src_index_js_ref_6_oneOf_1_2_node_modules_cache_loader_dist_cjs_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_ShopBanner_vue_vue_type_style_index_0_id_4d84e2b8_scoped_true_lang_css___WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__("769a");
/* harmony import */ var _node_modules_mini_css_extract_plugin_dist_loader_js_ref_6_oneOf_1_0_node_modules_css_loader_index_js_ref_6_oneOf_1_1_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_src_index_js_ref_6_oneOf_1_2_node_modules_cache_loader_dist_cjs_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_ShopBanner_vue_vue_type_style_index_0_id_4d84e2b8_scoped_true_lang_css___WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_node_modules_mini_css_extract_plugin_dist_loader_js_ref_6_oneOf_1_0_node_modules_css_loader_index_js_ref_6_oneOf_1_1_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_src_index_js_ref_6_oneOf_1_2_node_modules_cache_loader_dist_cjs_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_ShopBanner_vue_vue_type_style_index_0_id_4d84e2b8_scoped_true_lang_css___WEBPACK_IMPORTED_MODULE_0__);
/* unused harmony reexport * */
 /* unused harmony default export */ var _unused_webpack_default_export = (_node_modules_mini_css_extract_plugin_dist_loader_js_ref_6_oneOf_1_0_node_modules_css_loader_index_js_ref_6_oneOf_1_1_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_src_index_js_ref_6_oneOf_1_2_node_modules_cache_loader_dist_cjs_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_ShopBanner_vue_vue_type_style_index_0_id_4d84e2b8_scoped_true_lang_css___WEBPACK_IMPORTED_MODULE_0___default.a); 

/***/ }),

/***/ "130e":
/***/ (function(module, exports, __webpack_require__) {

// extracted by mini-css-extract-plugin

/***/ }),

/***/ "19f1":
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "img/banner_free.2e472228.png";

/***/ }),

/***/ "2106":
/***/ (function(module, exports, __webpack_require__) {

// extracted by mini-css-extract-plugin

/***/ }),

/***/ "2ebf":
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "img/coin_stacks.3a728f01.png";

/***/ }),

/***/ "64a9":
/***/ (function(module, exports, __webpack_require__) {

// extracted by mini-css-extract-plugin

/***/ }),

/***/ "74e2":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var _node_modules_mini_css_extract_plugin_dist_loader_js_ref_6_oneOf_1_0_node_modules_css_loader_index_js_ref_6_oneOf_1_1_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_src_index_js_ref_6_oneOf_1_2_node_modules_cache_loader_dist_cjs_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_Header_vue_vue_type_style_index_0_id_3b4723d6_scoped_true_lang_css___WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__("a8b2");
/* harmony import */ var _node_modules_mini_css_extract_plugin_dist_loader_js_ref_6_oneOf_1_0_node_modules_css_loader_index_js_ref_6_oneOf_1_1_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_src_index_js_ref_6_oneOf_1_2_node_modules_cache_loader_dist_cjs_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_Header_vue_vue_type_style_index_0_id_3b4723d6_scoped_true_lang_css___WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_node_modules_mini_css_extract_plugin_dist_loader_js_ref_6_oneOf_1_0_node_modules_css_loader_index_js_ref_6_oneOf_1_1_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_src_index_js_ref_6_oneOf_1_2_node_modules_cache_loader_dist_cjs_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_Header_vue_vue_type_style_index_0_id_3b4723d6_scoped_true_lang_css___WEBPACK_IMPORTED_MODULE_0__);
/* unused harmony reexport * */
 /* unused harmony default export */ var _unused_webpack_default_export = (_node_modules_mini_css_extract_plugin_dist_loader_js_ref_6_oneOf_1_0_node_modules_css_loader_index_js_ref_6_oneOf_1_1_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_src_index_js_ref_6_oneOf_1_2_node_modules_cache_loader_dist_cjs_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_Header_vue_vue_type_style_index_0_id_3b4723d6_scoped_true_lang_css___WEBPACK_IMPORTED_MODULE_0___default.a); 

/***/ }),

/***/ "769a":
/***/ (function(module, exports, __webpack_require__) {

// extracted by mini-css-extract-plugin

/***/ }),

/***/ "8918":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var _node_modules_mini_css_extract_plugin_dist_loader_js_ref_6_oneOf_1_0_node_modules_css_loader_index_js_ref_6_oneOf_1_1_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_src_index_js_ref_6_oneOf_1_2_node_modules_cache_loader_dist_cjs_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_ShopButton_vue_vue_type_style_index_0_id_2775fbb4_scoped_true_lang_css___WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__("2106");
/* harmony import */ var _node_modules_mini_css_extract_plugin_dist_loader_js_ref_6_oneOf_1_0_node_modules_css_loader_index_js_ref_6_oneOf_1_1_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_src_index_js_ref_6_oneOf_1_2_node_modules_cache_loader_dist_cjs_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_ShopButton_vue_vue_type_style_index_0_id_2775fbb4_scoped_true_lang_css___WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_node_modules_mini_css_extract_plugin_dist_loader_js_ref_6_oneOf_1_0_node_modules_css_loader_index_js_ref_6_oneOf_1_1_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_src_index_js_ref_6_oneOf_1_2_node_modules_cache_loader_dist_cjs_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_ShopButton_vue_vue_type_style_index_0_id_2775fbb4_scoped_true_lang_css___WEBPACK_IMPORTED_MODULE_0__);
/* unused harmony reexport * */
 /* unused harmony default export */ var _unused_webpack_default_export = (_node_modules_mini_css_extract_plugin_dist_loader_js_ref_6_oneOf_1_0_node_modules_css_loader_index_js_ref_6_oneOf_1_1_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_src_index_js_ref_6_oneOf_1_2_node_modules_cache_loader_dist_cjs_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_ShopButton_vue_vue_type_style_index_0_id_2775fbb4_scoped_true_lang_css___WEBPACK_IMPORTED_MODULE_0___default.a); 

/***/ }),

/***/ "9de5":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var _node_modules_mini_css_extract_plugin_dist_loader_js_ref_6_oneOf_1_0_node_modules_css_loader_index_js_ref_6_oneOf_1_1_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_src_index_js_ref_6_oneOf_1_2_node_modules_cache_loader_dist_cjs_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_Shop_vue_vue_type_style_index_0_id_6fc67cda_scoped_true_lang_css___WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__("130e");
/* harmony import */ var _node_modules_mini_css_extract_plugin_dist_loader_js_ref_6_oneOf_1_0_node_modules_css_loader_index_js_ref_6_oneOf_1_1_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_src_index_js_ref_6_oneOf_1_2_node_modules_cache_loader_dist_cjs_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_Shop_vue_vue_type_style_index_0_id_6fc67cda_scoped_true_lang_css___WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_node_modules_mini_css_extract_plugin_dist_loader_js_ref_6_oneOf_1_0_node_modules_css_loader_index_js_ref_6_oneOf_1_1_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_src_index_js_ref_6_oneOf_1_2_node_modules_cache_loader_dist_cjs_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_Shop_vue_vue_type_style_index_0_id_6fc67cda_scoped_true_lang_css___WEBPACK_IMPORTED_MODULE_0__);
/* unused harmony reexport * */
 /* unused harmony default export */ var _unused_webpack_default_export = (_node_modules_mini_css_extract_plugin_dist_loader_js_ref_6_oneOf_1_0_node_modules_css_loader_index_js_ref_6_oneOf_1_1_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_src_index_js_ref_6_oneOf_1_2_node_modules_cache_loader_dist_cjs_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_Shop_vue_vue_type_style_index_0_id_6fc67cda_scoped_true_lang_css___WEBPACK_IMPORTED_MODULE_0___default.a); 

/***/ }),

/***/ "a8b2":
/***/ (function(module, exports, __webpack_require__) {

// extracted by mini-css-extract-plugin

/***/ }),

/***/ "aad8":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var _node_modules_mini_css_extract_plugin_dist_loader_js_ref_6_oneOf_1_0_node_modules_css_loader_index_js_ref_6_oneOf_1_1_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_src_index_js_ref_6_oneOf_1_2_node_modules_cache_loader_dist_cjs_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_CoinCount_vue_vue_type_style_index_0_id_7f2f802e_scoped_true_lang_css___WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__("f897");
/* harmony import */ var _node_modules_mini_css_extract_plugin_dist_loader_js_ref_6_oneOf_1_0_node_modules_css_loader_index_js_ref_6_oneOf_1_1_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_src_index_js_ref_6_oneOf_1_2_node_modules_cache_loader_dist_cjs_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_CoinCount_vue_vue_type_style_index_0_id_7f2f802e_scoped_true_lang_css___WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_node_modules_mini_css_extract_plugin_dist_loader_js_ref_6_oneOf_1_0_node_modules_css_loader_index_js_ref_6_oneOf_1_1_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_src_index_js_ref_6_oneOf_1_2_node_modules_cache_loader_dist_cjs_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_CoinCount_vue_vue_type_style_index_0_id_7f2f802e_scoped_true_lang_css___WEBPACK_IMPORTED_MODULE_0__);
/* unused harmony reexport * */
 /* unused harmony default export */ var _unused_webpack_default_export = (_node_modules_mini_css_extract_plugin_dist_loader_js_ref_6_oneOf_1_0_node_modules_css_loader_index_js_ref_6_oneOf_1_1_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_src_index_js_ref_6_oneOf_1_2_node_modules_cache_loader_dist_cjs_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_CoinCount_vue_vue_type_style_index_0_id_7f2f802e_scoped_true_lang_css___WEBPACK_IMPORTED_MODULE_0___default.a); 

/***/ }),

/***/ "cd49":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);

// EXTERNAL MODULE: ./node_modules/core-js/modules/es6.array.iterator.js
var es6_array_iterator = __webpack_require__("cadf");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es6.promise.js
var es6_promise = __webpack_require__("551c");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es6.object.assign.js
var es6_object_assign = __webpack_require__("f751");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es7.promise.finally.js
var es7_promise_finally = __webpack_require__("097d");

// EXTERNAL MODULE: ./node_modules/vue/dist/vue.runtime.esm.js
var vue_runtime_esm = __webpack_require__("2b0e");

// CONCATENATED MODULE: ./node_modules/cache-loader/dist/cjs.js?{"cacheDirectory":"node_modules/.cache/vue-loader","cacheIdentifier":"2129f964-vue-loader-template"}!./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/cache-loader/dist/cjs.js??ref--0-0!./node_modules/vue-loader/lib??vue-loader-options!./src/App.vue?vue&type=template&id=50b32c75&
var Appvue_type_template_id_50b32c75_render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('router-view',{attrs:{"id":"app"}})}
var staticRenderFns = []


// CONCATENATED MODULE: ./src/App.vue?vue&type=template&id=50b32c75&

// EXTERNAL MODULE: ./src/App.vue?vue&type=style&index=0&lang=css&
var Appvue_type_style_index_0_lang_css_ = __webpack_require__("034f");

// EXTERNAL MODULE: ./node_modules/vue-loader/lib/runtime/componentNormalizer.js
var componentNormalizer = __webpack_require__("2877");

// CONCATENATED MODULE: ./src/App.vue

var script = {}



/* normalize component */

var component = Object(componentNormalizer["a" /* default */])(
  script,
  Appvue_type_template_id_50b32c75_render,
  staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* harmony default export */ var App = (component.exports);
// EXTERNAL MODULE: ./node_modules/vue-router/dist/vue-router.esm.js
var vue_router_esm = __webpack_require__("8c4f");

// CONCATENATED MODULE: ./node_modules/cache-loader/dist/cjs.js?{"cacheDirectory":"node_modules/.cache/vue-loader","cacheIdentifier":"2129f964-vue-loader-template"}!./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/cache-loader/dist/cjs.js??ref--0-0!./node_modules/vue-loader/lib??vue-loader-options!./src/views/Shop.vue?vue&type=template&id=6fc67cda&scoped=true&
var Shopvue_type_template_id_6fc67cda_scoped_true_render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"shop"},[_c('Header',{attrs:{"id":"shop-header","count":_vm.coins.count},on:{"close-clicked":_vm.close}}),_c('div',{staticClass:"shop-content"},[(_vm.premiumProduct)?_c('PremiumButton',{style:({ visibility: _vm.premium.enabled ? 'hidden' : 'visible' }),attrs:{"id":"shop-premium-button","text":_vm.premiumText,"info":_vm.premiumInfoText,"coins":_vm.premiumProduct.item.coins,"price":_vm.premiumProduct.item.price},on:{"clicked":function($event){return _vm.buy(_vm.premiumProduct.sku)}}}):_vm._e(),_vm._l((_vm.products),function(product){return _c('ShopButton',{key:product.sku,attrs:{"coins":product.item.coins,"price":product.item.price},on:{"clicked":function($event){return _vm.buy(product.sku)}},scopedSlots:_vm._u([{key:"banner",fn:function(){return [(product.banner)?_c('ShopBanner',{attrs:{"text":product.banner.text,"color":product.banner.color}},[_c('img',{attrs:{"src":product.banner.image}})]):_vm._e()]},proxy:true}],null,true)},[_c('img',{style:({ height: ((product.item.height) + "rem"), transform: ("translate(" + (product.item.offset) + ")")}),attrs:{"src":product.item.image}})])}),(_vm.adjoeAvailable)?_c('ShopButton',{attrs:{"price":_vm.freeCoinsText},on:{"clicked":_vm.showAdjoe},scopedSlots:_vm._u([{key:"banner",fn:function(){return [_c('ShopBanner',{attrs:{"text":_vm.freeText,"color":"#e3b435"}},[_c('img',{attrs:{"src":__webpack_require__("19f1")}})])]},proxy:true}],null,false,1270140807)},[_c('img',{staticStyle:{"height":"8rem"},attrs:{"src":__webpack_require__("2ebf")}})]):_vm._e()],2)],1)}
var Shopvue_type_template_id_6fc67cda_scoped_true_staticRenderFns = []


// CONCATENATED MODULE: ./src/views/Shop.vue?vue&type=template&id=6fc67cda&scoped=true&

// EXTERNAL MODULE: ./node_modules/core-js/modules/es6.array.find-index.js
var es6_array_find_index = __webpack_require__("20d6");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es6.array.find.js
var es6_array_find = __webpack_require__("7514");

// EXTERNAL MODULE: ./node_modules/core-js/modules/web.dom.iterable.js
var web_dom_iterable = __webpack_require__("ac6a");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es6.string.iterator.js
var es6_string_iterator = __webpack_require__("5df3");

// EXTERNAL MODULE: ./node_modules/regenerator-runtime/runtime.js
var runtime = __webpack_require__("96cf");

// EXTERNAL MODULE: ./node_modules/@babel/runtime-corejs2/helpers/esm/classCallCheck.js
var classCallCheck = __webpack_require__("d225");

// EXTERNAL MODULE: ./node_modules/@babel/runtime-corejs2/helpers/esm/createClass.js
var createClass = __webpack_require__("b0b4");

// EXTERNAL MODULE: ./node_modules/@babel/runtime-corejs2/helpers/esm/possibleConstructorReturn.js + 2 modules
var possibleConstructorReturn = __webpack_require__("308d");

// EXTERNAL MODULE: ./node_modules/@babel/runtime-corejs2/helpers/esm/getPrototypeOf.js
var getPrototypeOf = __webpack_require__("6bb5");

// EXTERNAL MODULE: ./node_modules/@babel/runtime-corejs2/helpers/esm/inherits.js + 1 modules
var inherits = __webpack_require__("4e2b");

// EXTERNAL MODULE: ./node_modules/tslib/tslib.es6.js
var tslib_es6 = __webpack_require__("9ab4");

// EXTERNAL MODULE: ./node_modules/vue-property-decorator/lib/vue-property-decorator.js + 1 modules
var vue_property_decorator = __webpack_require__("60a3");

// CONCATENATED MODULE: ./node_modules/cache-loader/dist/cjs.js?{"cacheDirectory":"node_modules/.cache/vue-loader","cacheIdentifier":"2129f964-vue-loader-template"}!./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/cache-loader/dist/cjs.js??ref--0-0!./node_modules/vue-loader/lib??vue-loader-options!./src/components/Header.vue?vue&type=template&id=3b4723d6&scoped=true&
var Headervue_type_template_id_3b4723d6_scoped_true_render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"header"},[_c('CoinCount',{staticClass:"count",attrs:{"count":_vm.count}}),_c('span',{staticClass:"close",on:{"click":function($event){return _vm.$emit('close-clicked')}}},[_vm._v("✕")])],1)}
var Headervue_type_template_id_3b4723d6_scoped_true_staticRenderFns = []


// CONCATENATED MODULE: ./src/components/Header.vue?vue&type=template&id=3b4723d6&scoped=true&

// CONCATENATED MODULE: ./node_modules/cache-loader/dist/cjs.js?{"cacheDirectory":"node_modules/.cache/vue-loader","cacheIdentifier":"2129f964-vue-loader-template"}!./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/cache-loader/dist/cjs.js??ref--0-0!./node_modules/vue-loader/lib??vue-loader-options!./src/components/CoinCount.vue?vue&type=template&id=7f2f802e&scoped=true&
var CoinCountvue_type_template_id_7f2f802e_scoped_true_render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"coin-count"},[_c('span',[_vm._v(_vm._s(_vm.count))])])}
var CoinCountvue_type_template_id_7f2f802e_scoped_true_staticRenderFns = []


// CONCATENATED MODULE: ./src/components/CoinCount.vue?vue&type=template&id=7f2f802e&scoped=true&

// CONCATENATED MODULE: ./node_modules/cache-loader/dist/cjs.js??ref--14-0!./node_modules/thread-loader/dist/cjs.js!./node_modules/babel-loader/lib!./node_modules/ts-loader??ref--14-3!./node_modules/cache-loader/dist/cjs.js??ref--0-0!./node_modules/vue-loader/lib??vue-loader-options!./src/components/CoinCount.vue?vue&type=script&lang=ts&







var CoinCountvue_type_script_lang_ts_CoinCount =
/*#__PURE__*/
function (_Vue) {
  Object(inherits["a" /* default */])(CoinCount, _Vue);

  function CoinCount() {
    Object(classCallCheck["a" /* default */])(this, CoinCount);

    return Object(possibleConstructorReturn["a" /* default */])(this, Object(getPrototypeOf["a" /* default */])(CoinCount).apply(this, arguments));
  }

  return CoinCount;
}(vue_property_decorator["c" /* Vue */]);

Object(tslib_es6["b" /* __decorate */])([Object(vue_property_decorator["b" /* Prop */])()], CoinCountvue_type_script_lang_ts_CoinCount.prototype, "count", void 0);

CoinCountvue_type_script_lang_ts_CoinCount = Object(tslib_es6["b" /* __decorate */])([vue_property_decorator["a" /* Component */]], CoinCountvue_type_script_lang_ts_CoinCount);
/* harmony default export */ var CoinCountvue_type_script_lang_ts_ = (CoinCountvue_type_script_lang_ts_CoinCount);
// CONCATENATED MODULE: ./src/components/CoinCount.vue?vue&type=script&lang=ts&
 /* harmony default export */ var components_CoinCountvue_type_script_lang_ts_ = (CoinCountvue_type_script_lang_ts_); 
// EXTERNAL MODULE: ./src/components/CoinCount.vue?vue&type=style&index=0&id=7f2f802e&scoped=true&lang=css&
var CoinCountvue_type_style_index_0_id_7f2f802e_scoped_true_lang_css_ = __webpack_require__("aad8");

// CONCATENATED MODULE: ./src/components/CoinCount.vue






/* normalize component */

var CoinCount_component = Object(componentNormalizer["a" /* default */])(
  components_CoinCountvue_type_script_lang_ts_,
  CoinCountvue_type_template_id_7f2f802e_scoped_true_render,
  CoinCountvue_type_template_id_7f2f802e_scoped_true_staticRenderFns,
  false,
  null,
  "7f2f802e",
  null
  
)

/* harmony default export */ var components_CoinCount = (CoinCount_component.exports);
// CONCATENATED MODULE: ./node_modules/cache-loader/dist/cjs.js??ref--14-0!./node_modules/thread-loader/dist/cjs.js!./node_modules/babel-loader/lib!./node_modules/ts-loader??ref--14-3!./node_modules/cache-loader/dist/cjs.js??ref--0-0!./node_modules/vue-loader/lib??vue-loader-options!./src/components/Header.vue?vue&type=script&lang=ts&








var Headervue_type_script_lang_ts_Header =
/*#__PURE__*/
function (_Vue) {
  Object(inherits["a" /* default */])(Header, _Vue);

  function Header() {
    Object(classCallCheck["a" /* default */])(this, Header);

    return Object(possibleConstructorReturn["a" /* default */])(this, Object(getPrototypeOf["a" /* default */])(Header).apply(this, arguments));
  }

  return Header;
}(vue_property_decorator["c" /* Vue */]);

Object(tslib_es6["b" /* __decorate */])([Object(vue_property_decorator["b" /* Prop */])()], Headervue_type_script_lang_ts_Header.prototype, "count", void 0);

Headervue_type_script_lang_ts_Header = Object(tslib_es6["b" /* __decorate */])([Object(vue_property_decorator["a" /* Component */])({
  components: {
    CoinCount: components_CoinCount
  }
})], Headervue_type_script_lang_ts_Header);
/* harmony default export */ var Headervue_type_script_lang_ts_ = (Headervue_type_script_lang_ts_Header);
// CONCATENATED MODULE: ./src/components/Header.vue?vue&type=script&lang=ts&
 /* harmony default export */ var components_Headervue_type_script_lang_ts_ = (Headervue_type_script_lang_ts_); 
// EXTERNAL MODULE: ./src/components/Header.vue?vue&type=style&index=0&id=3b4723d6&scoped=true&lang=css&
var Headervue_type_style_index_0_id_3b4723d6_scoped_true_lang_css_ = __webpack_require__("74e2");

// CONCATENATED MODULE: ./src/components/Header.vue






/* normalize component */

var Header_component = Object(componentNormalizer["a" /* default */])(
  components_Headervue_type_script_lang_ts_,
  Headervue_type_template_id_3b4723d6_scoped_true_render,
  Headervue_type_template_id_3b4723d6_scoped_true_staticRenderFns,
  false,
  null,
  "3b4723d6",
  null
  
)

/* harmony default export */ var components_Header = (Header_component.exports);
// CONCATENATED MODULE: ./node_modules/cache-loader/dist/cjs.js?{"cacheDirectory":"node_modules/.cache/vue-loader","cacheIdentifier":"2129f964-vue-loader-template"}!./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/cache-loader/dist/cjs.js??ref--0-0!./node_modules/vue-loader/lib??vue-loader-options!./src/components/PremiumButton.vue?vue&type=template&id=85eaeb4a&scoped=true&
var PremiumButtonvue_type_template_id_85eaeb4a_scoped_true_render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('button',{staticClass:"premium-button",on:{"click":function($event){return _vm.$emit('clicked')}}},[_c('div',{staticClass:"banner"},[_c('svg',{staticClass:"banner-label"},[_c('text',{attrs:{"x":"50%","y":"50%","text-anchor":"middle"}},[_vm._v(_vm._s(_vm.text))])])]),_c('img',{staticClass:"icon",attrs:{"src":__webpack_require__("e9da")}}),_c('svg',{staticClass:"amount"},[_c('defs',[_c('linearGradient',{attrs:{"id":"gradient"}},[_c('stop',{attrs:{"offset":"0%","stop-color":"rgb(218, 157, 0)"}}),_c('stop',{attrs:{"offset":"16%","stop-color":"rgb(250, 215, 53)"}}),_c('stop',{attrs:{"offset":"33%","stop-color":"rgb(244, 224, 72)"}}),_c('stop',{attrs:{"offset":"50%","stop-color":"rgb(250, 215, 53)"}}),_c('stop',{attrs:{"offset":"66%","stop-color":"rgb(227, 179, 40)"}}),_c('stop',{attrs:{"offset":"84%","stop-color":"rgb(255, 206, 80)"}}),_c('stop',{attrs:{"offset":"100%","stop-color":"rgb(215, 158, 23)"}})],1)],1),_c('text',{attrs:{"x":"56%","y":"71%","text-anchor":"middle","fill":"url(#gradient)"}},[_vm._v("x"+_vm._s(_vm.coins))])]),_c('div',{staticClass:"footer"},[_c('span',{attrs:{"id":"footer-text"}},[_vm._v(_vm._s(_vm.info))]),_c('span',{attrs:{"id":"price"}},[_vm._v(_vm._s(_vm.price))])])])}
var PremiumButtonvue_type_template_id_85eaeb4a_scoped_true_staticRenderFns = []


// CONCATENATED MODULE: ./src/components/PremiumButton.vue?vue&type=template&id=85eaeb4a&scoped=true&

// CONCATENATED MODULE: ./node_modules/cache-loader/dist/cjs.js??ref--14-0!./node_modules/thread-loader/dist/cjs.js!./node_modules/babel-loader/lib!./node_modules/ts-loader??ref--14-3!./node_modules/cache-loader/dist/cjs.js??ref--0-0!./node_modules/vue-loader/lib??vue-loader-options!./src/components/PremiumButton.vue?vue&type=script&lang=ts&







var PremiumButtonvue_type_script_lang_ts_PremiumButton =
/*#__PURE__*/
function (_Vue) {
  Object(inherits["a" /* default */])(PremiumButton, _Vue);

  function PremiumButton() {
    Object(classCallCheck["a" /* default */])(this, PremiumButton);

    return Object(possibleConstructorReturn["a" /* default */])(this, Object(getPrototypeOf["a" /* default */])(PremiumButton).apply(this, arguments));
  }

  return PremiumButton;
}(vue_property_decorator["c" /* Vue */]);

Object(tslib_es6["b" /* __decorate */])([Object(vue_property_decorator["b" /* Prop */])()], PremiumButtonvue_type_script_lang_ts_PremiumButton.prototype, "text", void 0);

Object(tslib_es6["b" /* __decorate */])([Object(vue_property_decorator["b" /* Prop */])()], PremiumButtonvue_type_script_lang_ts_PremiumButton.prototype, "info", void 0);

Object(tslib_es6["b" /* __decorate */])([Object(vue_property_decorator["b" /* Prop */])()], PremiumButtonvue_type_script_lang_ts_PremiumButton.prototype, "coins", void 0);

Object(tslib_es6["b" /* __decorate */])([Object(vue_property_decorator["b" /* Prop */])()], PremiumButtonvue_type_script_lang_ts_PremiumButton.prototype, "price", void 0);

PremiumButtonvue_type_script_lang_ts_PremiumButton = Object(tslib_es6["b" /* __decorate */])([vue_property_decorator["a" /* Component */]], PremiumButtonvue_type_script_lang_ts_PremiumButton);
/* harmony default export */ var PremiumButtonvue_type_script_lang_ts_ = (PremiumButtonvue_type_script_lang_ts_PremiumButton);
// CONCATENATED MODULE: ./src/components/PremiumButton.vue?vue&type=script&lang=ts&
 /* harmony default export */ var components_PremiumButtonvue_type_script_lang_ts_ = (PremiumButtonvue_type_script_lang_ts_); 
// EXTERNAL MODULE: ./src/components/PremiumButton.vue?vue&type=style&index=0&id=85eaeb4a&scoped=true&lang=css&
var PremiumButtonvue_type_style_index_0_id_85eaeb4a_scoped_true_lang_css_ = __webpack_require__("0c83");

// CONCATENATED MODULE: ./src/components/PremiumButton.vue






/* normalize component */

var PremiumButton_component = Object(componentNormalizer["a" /* default */])(
  components_PremiumButtonvue_type_script_lang_ts_,
  PremiumButtonvue_type_template_id_85eaeb4a_scoped_true_render,
  PremiumButtonvue_type_template_id_85eaeb4a_scoped_true_staticRenderFns,
  false,
  null,
  "85eaeb4a",
  null
  
)

/* harmony default export */ var components_PremiumButton = (PremiumButton_component.exports);
// CONCATENATED MODULE: ./node_modules/cache-loader/dist/cjs.js?{"cacheDirectory":"node_modules/.cache/vue-loader","cacheIdentifier":"2129f964-vue-loader-template"}!./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/cache-loader/dist/cjs.js??ref--0-0!./node_modules/vue-loader/lib??vue-loader-options!./src/components/ShopButton.vue?vue&type=template&id=2775fbb4&scoped=true&
var ShopButtonvue_type_template_id_2775fbb4_scoped_true_render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('button',{staticClass:"shop-button",on:{"click":function($event){return _vm.$emit('clicked')}}},[_c('div',{staticClass:"banner"},[_vm._t("banner")],2),_c('div',{staticClass:"content"},[_vm._t("default")],2),(_vm.coins)?_c('svg',{staticClass:"amount"},[_c('defs',[_c('linearGradient',{attrs:{"id":"gradient"}},[_c('stop',{attrs:{"offset":"0%","stop-color":"rgb(218, 157, 0)"}}),_c('stop',{attrs:{"offset":"16%","stop-color":"rgb(250, 215, 53)"}}),_c('stop',{attrs:{"offset":"33%","stop-color":"rgb(244, 224, 72)"}}),_c('stop',{attrs:{"offset":"50%","stop-color":"rgb(250, 215, 53)"}}),_c('stop',{attrs:{"offset":"66%","stop-color":"rgb(227, 179, 40)"}}),_c('stop',{attrs:{"offset":"84%","stop-color":"rgb(255, 206, 80)"}}),_c('stop',{attrs:{"offset":"100%","stop-color":"rgb(215, 158, 23)"}})],1)],1),_c('text',{attrs:{"x":"42%","y":"73%","fill":"url(#gradient)"}},[_vm._v("x"+_vm._s(_vm.coins))])]):_vm._e(),_c('span',{attrs:{"id":"price"}},[_vm._v(_vm._s(_vm.price))])])}
var ShopButtonvue_type_template_id_2775fbb4_scoped_true_staticRenderFns = []


// CONCATENATED MODULE: ./src/components/ShopButton.vue?vue&type=template&id=2775fbb4&scoped=true&

// CONCATENATED MODULE: ./node_modules/cache-loader/dist/cjs.js??ref--14-0!./node_modules/thread-loader/dist/cjs.js!./node_modules/babel-loader/lib!./node_modules/ts-loader??ref--14-3!./node_modules/cache-loader/dist/cjs.js??ref--0-0!./node_modules/vue-loader/lib??vue-loader-options!./src/components/ShopButton.vue?vue&type=script&lang=ts&







var ShopButtonvue_type_script_lang_ts_ShopButton =
/*#__PURE__*/
function (_Vue) {
  Object(inherits["a" /* default */])(ShopButton, _Vue);

  function ShopButton() {
    Object(classCallCheck["a" /* default */])(this, ShopButton);

    return Object(possibleConstructorReturn["a" /* default */])(this, Object(getPrototypeOf["a" /* default */])(ShopButton).apply(this, arguments));
  }

  return ShopButton;
}(vue_property_decorator["c" /* Vue */]);

Object(tslib_es6["b" /* __decorate */])([Object(vue_property_decorator["b" /* Prop */])()], ShopButtonvue_type_script_lang_ts_ShopButton.prototype, "coins", void 0);

Object(tslib_es6["b" /* __decorate */])([Object(vue_property_decorator["b" /* Prop */])()], ShopButtonvue_type_script_lang_ts_ShopButton.prototype, "price", void 0);

ShopButtonvue_type_script_lang_ts_ShopButton = Object(tslib_es6["b" /* __decorate */])([vue_property_decorator["a" /* Component */]], ShopButtonvue_type_script_lang_ts_ShopButton);
/* harmony default export */ var ShopButtonvue_type_script_lang_ts_ = (ShopButtonvue_type_script_lang_ts_ShopButton);
// CONCATENATED MODULE: ./src/components/ShopButton.vue?vue&type=script&lang=ts&
 /* harmony default export */ var components_ShopButtonvue_type_script_lang_ts_ = (ShopButtonvue_type_script_lang_ts_); 
// EXTERNAL MODULE: ./src/components/ShopButton.vue?vue&type=style&index=0&id=2775fbb4&scoped=true&lang=css&
var ShopButtonvue_type_style_index_0_id_2775fbb4_scoped_true_lang_css_ = __webpack_require__("8918");

// CONCATENATED MODULE: ./src/components/ShopButton.vue






/* normalize component */

var ShopButton_component = Object(componentNormalizer["a" /* default */])(
  components_ShopButtonvue_type_script_lang_ts_,
  ShopButtonvue_type_template_id_2775fbb4_scoped_true_render,
  ShopButtonvue_type_template_id_2775fbb4_scoped_true_staticRenderFns,
  false,
  null,
  "2775fbb4",
  null
  
)

/* harmony default export */ var components_ShopButton = (ShopButton_component.exports);
// CONCATENATED MODULE: ./node_modules/cache-loader/dist/cjs.js?{"cacheDirectory":"node_modules/.cache/vue-loader","cacheIdentifier":"2129f964-vue-loader-template"}!./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/cache-loader/dist/cjs.js??ref--0-0!./node_modules/vue-loader/lib??vue-loader-options!./src/components/ShopBanner.vue?vue&type=template&id=4d84e2b8&scoped=true&
var ShopBannervue_type_template_id_4d84e2b8_scoped_true_render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"shop-banner"},[_vm._t("default"),_c('svg',{staticClass:"banner-label"},[_c('text',{style:({stroke: _vm.color}),attrs:{"x":"50%","y":"50%","text-anchor":"middle"}},[_vm._v(_vm._s(_vm.text))])])],2)}
var ShopBannervue_type_template_id_4d84e2b8_scoped_true_staticRenderFns = []


// CONCATENATED MODULE: ./src/components/ShopBanner.vue?vue&type=template&id=4d84e2b8&scoped=true&

// CONCATENATED MODULE: ./node_modules/cache-loader/dist/cjs.js??ref--14-0!./node_modules/thread-loader/dist/cjs.js!./node_modules/babel-loader/lib!./node_modules/ts-loader??ref--14-3!./node_modules/cache-loader/dist/cjs.js??ref--0-0!./node_modules/vue-loader/lib??vue-loader-options!./src/components/ShopBanner.vue?vue&type=script&lang=ts&







var ShopBannervue_type_script_lang_ts_ShopBanner =
/*#__PURE__*/
function (_Vue) {
  Object(inherits["a" /* default */])(ShopBanner, _Vue);

  function ShopBanner() {
    Object(classCallCheck["a" /* default */])(this, ShopBanner);

    return Object(possibleConstructorReturn["a" /* default */])(this, Object(getPrototypeOf["a" /* default */])(ShopBanner).apply(this, arguments));
  }

  return ShopBanner;
}(vue_property_decorator["c" /* Vue */]);

Object(tslib_es6["b" /* __decorate */])([Object(vue_property_decorator["b" /* Prop */])()], ShopBannervue_type_script_lang_ts_ShopBanner.prototype, "text", void 0);

Object(tslib_es6["b" /* __decorate */])([Object(vue_property_decorator["b" /* Prop */])()], ShopBannervue_type_script_lang_ts_ShopBanner.prototype, "color", void 0);

ShopBannervue_type_script_lang_ts_ShopBanner = Object(tslib_es6["b" /* __decorate */])([vue_property_decorator["a" /* Component */]], ShopBannervue_type_script_lang_ts_ShopBanner);
/* harmony default export */ var ShopBannervue_type_script_lang_ts_ = (ShopBannervue_type_script_lang_ts_ShopBanner);
// CONCATENATED MODULE: ./src/components/ShopBanner.vue?vue&type=script&lang=ts&
 /* harmony default export */ var components_ShopBannervue_type_script_lang_ts_ = (ShopBannervue_type_script_lang_ts_); 
// EXTERNAL MODULE: ./src/components/ShopBanner.vue?vue&type=style&index=0&id=4d84e2b8&scoped=true&lang=css&
var ShopBannervue_type_style_index_0_id_4d84e2b8_scoped_true_lang_css_ = __webpack_require__("11ea");

// CONCATENATED MODULE: ./src/components/ShopBanner.vue






/* normalize component */

var ShopBanner_component = Object(componentNormalizer["a" /* default */])(
  components_ShopBannervue_type_script_lang_ts_,
  ShopBannervue_type_template_id_4d84e2b8_scoped_true_render,
  ShopBannervue_type_template_id_4d84e2b8_scoped_true_staticRenderFns,
  false,
  null,
  "4d84e2b8",
  null
  
)

/* harmony default export */ var components_ShopBanner = (ShopBanner_component.exports);
// CONCATENATED MODULE: ./src/views/entity/ui_product.ts


var ui_product_UIProduct =
/*#__PURE__*/
function () {
  function UIProduct(sku, item, banner) {
    Object(classCallCheck["a" /* default */])(this, UIProduct);

    this.sku = sku;
    this.item = item;
    this.banner = banner;
  }

  Object(createClass["a" /* default */])(UIProduct, null, [{
    key: "from",
    value: function from(product) {
      var _ProductMapping$forSk = ui_product_ProductMapping.forSku(product.sku),
          item = _ProductMapping$forSk.item,
          banner = _ProductMapping$forSk.banner;

      return new UIProduct(product.sku, {
        image: item.image,
        height: item.height,
        offset: item.offset,
        price: product.price,
        coins: product.coins
      }, banner ? {
        image: banner.image,
        text: banner.text,
        color: banner.color
      } : undefined);
    }
  }]);

  return UIProduct;
}();

var ui_product_ProductMapping =
/*#__PURE__*/
function () {
  function ProductMapping(item, banner) {
    Object(classCallCheck["a" /* default */])(this, ProductMapping);

    this.item = item;
    this.banner = banner;
  }

  Object(createClass["a" /* default */])(ProductMapping, null, [{
    key: "forSku",
    value: function forSku(sku) {
      switch (sku) {
        case "premium":
          return new ProductMapping({
            image: "./img/coin_stack.png"
          });

        case "coins2":
          return new ProductMapping({
            image: "./img/coin.png",
            height: 6,
            offset: "-2rem, 1.5rem"
          });

        case "coins3":
          return new ProductMapping({
            image: "./img/coin_stack.png",
            height: 8,
            offset: "-1.5rem, 0.5rem"
          }, {
            image: "./img/banner_most_wanted.png",
            text: "shopFeatureMostWanted",
            color: "#d51a43"
          });

        case "coins4":
          return new ProductMapping({
            image: "./img/small_coin_stacks.png",
            height: 8,
            offset: "-1rem, 0.5rem"
          });

        case "coins5":
          return new ProductMapping({
            image: "./img/coin_stacks.png",
            height: 8
          }, {
            image: "./img/banner_best_deal.png",
            text: "shopFeatureBestDeal",
            color: "#515fce"
          });

        default:
          throw new Error("No mapping for product with sku '".concat(sku, "'"));
      }
    }
  }]);

  return ProductMapping;
}();
// EXTERNAL MODULE: ./node_modules/core-js/modules/es7.object.entries.js
var es7_object_entries = __webpack_require__("ffc1");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es6.map.js
var es6_map = __webpack_require__("f400");

// EXTERNAL MODULE: ./node_modules/uuid/v4.js
var v4 = __webpack_require__("c64e");
var v4_default = /*#__PURE__*/__webpack_require__.n(v4);

// CONCATENATED MODULE: ./src/bridge/native_bridge.ts










var native_bridge_NativeBridge =
/*#__PURE__*/
function () {
  function NativeBridge() {
    var _this = this;

    Object(classCallCheck["a" /* default */])(this, NativeBridge);

    this.nativeBridge = window.androidBridge; // TODO check for better way to resolve Promise externally

    this.requests = new Map();
    this.coins = {
      count: 0
    };
    this.premium = {
      enabled: false
    };
    window.androidCaller = {
      onResponse: function onResponse(response) {
        var request = _this.requests.get(response.requestId);

        _this.requests.delete(response.requestId);

        var resolve = request[0];
        var reject = request[1];

        if (response.data) {
          resolve(response.data);
        } else {
          reject(response.error);
        }
      }
    };
  }

  Object(createClass["a" /* default */])(NativeBridge, [{
    key: "refreshCoins",
    value: function refreshCoins() {
      return Object(tslib_es6["a" /* __awaiter */])(this, void 0, void 0,
      /*#__PURE__*/
      regeneratorRuntime.mark(function _callee() {
        var id, response;
        return regeneratorRuntime.wrap(function _callee$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
                id = v4_default()();
                _context.prev = 1;
                _context.next = 4;
                return this.executeRequest('getCoins');

              case 4:
                response = _context.sent;
                this.coins.count = response.coins;
                _context.next = 11;
                break;

              case 8:
                _context.prev = 8;
                _context.t0 = _context["catch"](1);
                console.log(_context.t0);

              case 11:
              case "end":
                return _context.stop();
            }
          }
        }, _callee, this, [[1, 8]]);
      }));
    }
  }, {
    key: "refreshPremium",
    value: function refreshPremium() {
      return Object(tslib_es6["a" /* __awaiter */])(this, void 0, void 0,
      /*#__PURE__*/
      regeneratorRuntime.mark(function _callee2() {
        var id, response;
        return regeneratorRuntime.wrap(function _callee2$(_context2) {
          while (1) {
            switch (_context2.prev = _context2.next) {
              case 0:
                id = v4_default()();
                _context2.prev = 1;
                _context2.next = 4;
                return this.executeRequest('getPremium');

              case 4:
                response = _context2.sent;
                this.premium.enabled = response.isPremium;
                _context2.next = 11;
                break;

              case 8:
                _context2.prev = 8;
                _context2.t0 = _context2["catch"](1);
                console.log(_context2.t0);

              case 11:
              case "end":
                return _context2.stop();
            }
          }
        }, _callee2, this, [[1, 8]]);
      }));
    }
  }, {
    key: "getStrings",
    value: function getStrings(ids) {
      return Object(tslib_es6["a" /* __awaiter */])(this, void 0, void 0,
      /*#__PURE__*/
      regeneratorRuntime.mark(function _callee3() {
        var response;
        return regeneratorRuntime.wrap(function _callee3$(_context3) {
          while (1) {
            switch (_context3.prev = _context3.next) {
              case 0:
                _context3.prev = 0;
                _context3.next = 3;
                return this.executeRequest('getStrings', JSON.stringify({
                  stringIds: ids
                }));

              case 3:
                response = _context3.sent;
                return _context3.abrupt("return", new Map(Object.entries(response.localizedStrings)));

              case 7:
                _context3.prev = 7;
                _context3.t0 = _context3["catch"](0);
                console.log(_context3.t0);
                return _context3.abrupt("return", new Map());

              case 11:
              case "end":
                return _context3.stop();
            }
          }
        }, _callee3, this, [[0, 7]]);
      }));
    }
  }, {
    key: "getProducts",
    value: function getProducts() {
      return Object(tslib_es6["a" /* __awaiter */])(this, void 0, void 0,
      /*#__PURE__*/
      regeneratorRuntime.mark(function _callee4() {
        var response;
        return regeneratorRuntime.wrap(function _callee4$(_context4) {
          while (1) {
            switch (_context4.prev = _context4.next) {
              case 0:
                _context4.prev = 0;
                _context4.next = 3;
                return this.executeRequest('getProducts');

              case 3:
                response = _context4.sent;
                return _context4.abrupt("return", response.products);

              case 7:
                _context4.prev = 7;
                _context4.t0 = _context4["catch"](0);
                console.log(_context4.t0);
                return _context4.abrupt("return", []);

              case 11:
              case "end":
                return _context4.stop();
            }
          }
        }, _callee4, this, [[0, 7]]);
      }));
    }
  }, {
    key: "buy",
    value: function buy(sku) {
      return Object(tslib_es6["a" /* __awaiter */])(this, void 0, void 0,
      /*#__PURE__*/
      regeneratorRuntime.mark(function _callee5() {
        return regeneratorRuntime.wrap(function _callee5$(_context5) {
          while (1) {
            switch (_context5.prev = _context5.next) {
              case 0:
                _context5.prev = 0;
                _context5.next = 3;
                return this.executeRequest('buyProduct', JSON.stringify({
                  sku: sku
                }));

              case 3:
                _context5.next = 5;
                return this.refreshCoins();

              case 5:
                return _context5.abrupt("return", this.refreshPremium());

              case 8:
                _context5.prev = 8;
                _context5.t0 = _context5["catch"](0);
                console.log(_context5.t0);

              case 11:
              case "end":
                return _context5.stop();
            }
          }
        }, _callee5, this, [[0, 8]]);
      }));
    }
  }, {
    key: "adjoeAvailable",
    value: function adjoeAvailable() {
      return Object(tslib_es6["a" /* __awaiter */])(this, void 0, void 0,
      /*#__PURE__*/
      regeneratorRuntime.mark(function _callee6() {
        var response;
        return regeneratorRuntime.wrap(function _callee6$(_context6) {
          while (1) {
            switch (_context6.prev = _context6.next) {
              case 0:
                _context6.prev = 0;
                _context6.next = 3;
                return this.executeRequest('getOfferwallAvailability');

              case 3:
                response = _context6.sent;
                return _context6.abrupt("return", response.isAvailable);

              case 7:
                _context6.prev = 7;
                _context6.t0 = _context6["catch"](0);
                console.log(_context6.t0);
                return _context6.abrupt("return", false);

              case 11:
              case "end":
                return _context6.stop();
            }
          }
        }, _callee6, this, [[0, 7]]);
      }));
    }
  }, {
    key: "showAdjoe",
    value: function showAdjoe() {
      return Object(tslib_es6["a" /* __awaiter */])(this, void 0, void 0,
      /*#__PURE__*/
      regeneratorRuntime.mark(function _callee7() {
        return regeneratorRuntime.wrap(function _callee7$(_context7) {
          while (1) {
            switch (_context7.prev = _context7.next) {
              case 0:
                _context7.prev = 0;
                return _context7.abrupt("return", this.executeRequest('showOfferwall'));

              case 4:
                _context7.prev = 4;
                _context7.t0 = _context7["catch"](0);
                console.log(_context7.t0);

              case 7:
              case "end":
                return _context7.stop();
            }
          }
        }, _callee7, this, [[0, 4]]);
      }));
    }
  }, {
    key: "close",
    value: function close() {
      return Object(tslib_es6["a" /* __awaiter */])(this, void 0, void 0,
      /*#__PURE__*/
      regeneratorRuntime.mark(function _callee8() {
        return regeneratorRuntime.wrap(function _callee8$(_context8) {
          while (1) {
            switch (_context8.prev = _context8.next) {
              case 0:
                _context8.prev = 0;
                return _context8.abrupt("return", this.executeRequest('closeHost'));

              case 4:
                _context8.prev = 4;
                _context8.t0 = _context8["catch"](0);
                console.log(_context8.t0);

              case 7:
              case "end":
                return _context8.stop();
            }
          }
        }, _callee8, this, [[0, 4]]);
      }));
    }
  }, {
    key: "executeRequest",
    value: function executeRequest(command) {
      var _this2 = this;

      var paramsJson = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : null;
      var id = v4_default()();
      var request = new Promise(function (resolve, reject) {
        _this2.requests.set(id, [resolve, reject]);
      });
      this.nativeBridge.executeRequest(id, command, paramsJson);
      return request;
    }
  }]);

  return NativeBridge;
}();

/* harmony default export */ var native_bridge = (new native_bridge_NativeBridge());
// CONCATENATED MODULE: ./src/bridge/dummy_bridge.ts









var dummy_bridge_DummyBridge =
/*#__PURE__*/
function () {
  function DummyBridge() {
    Object(classCallCheck["a" /* default */])(this, DummyBridge);

    this.coins = vue_runtime_esm["a" /* default */].observable({
      count: 0
    });
    this.premium = vue_runtime_esm["a" /* default */].observable({
      enabled: false
    });
  }

  Object(createClass["a" /* default */])(DummyBridge, [{
    key: "refreshCoins",
    value: function refreshCoins() {
      return Promise.resolve();
    }
  }, {
    key: "refreshPremium",
    value: function refreshPremium() {
      return Promise.resolve();
    }
  }, {
    key: "getStrings",
    value: function getStrings(ids) {
      return Object(tslib_es6["a" /* __awaiter */])(this, void 0, void 0,
      /*#__PURE__*/
      regeneratorRuntime.mark(function _callee() {
        var _this = this;

        return regeneratorRuntime.wrap(function _callee$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
                _context.next = 2;
                return this.delay(100);

              case 2:
                return _context.abrupt("return", new Map(ids.map(function (id) {
                  return [id, _this.string(id)];
                })));

              case 3:
              case "end":
                return _context.stop();
            }
          }
        }, _callee, this);
      }));
    }
  }, {
    key: "string",
    value: function string(id) {
      switch (id) {
        case "premium":
          return "Premium";

        case "shopPremiumNoAds":
          return "No ads";

        case "shopFeatureMostWanted":
          return "Most wanted";

        case "shopFeatureBestDeal":
          return "Best deal";

        case "free":
          return "Free!";

        case "freeCoins":
          return "Free coins!";

        default:
          return "string '".concat(id, "'");
      }
    }
  }, {
    key: "getProducts",
    value: function getProducts() {
      return Object(tslib_es6["a" /* __awaiter */])(this, void 0, void 0,
      /*#__PURE__*/
      regeneratorRuntime.mark(function _callee2() {
        return regeneratorRuntime.wrap(function _callee2$(_context2) {
          while (1) {
            switch (_context2.prev = _context2.next) {
              case 0:
                _context2.next = 2;
                return new Promise(function (resolve) {
                  return setTimeout(resolve, 100);
                });

              case 2:
                return _context2.abrupt("return", [{
                  sku: "premium",
                  coins: 500,
                  price: "1,99 €"
                }, {
                  sku: "coins2",
                  coins: 750,
                  price: "1,99 €"
                }, {
                  sku: "coins3",
                  coins: 2000,
                  price: "4,99 €"
                }, {
                  sku: "coins4",
                  coins: 4500,
                  price: "9,99 €"
                }, {
                  sku: "coins5",
                  coins: 10000,
                  price: "19,99 €"
                }]);

              case 3:
              case "end":
                return _context2.stop();
            }
          }
        }, _callee2);
      }));
    }
  }, {
    key: "buy",
    value: function buy(sku) {
      switch (sku) {
        case "premium":
          this.coins.count += 500;
          this.premium.enabled = true;
          break;

        case "coins2":
          this.coins.count += 750;
          break;

        case "coins3":
          this.coins.count += 2000;
          break;

        case "coins4":
          this.coins.count += 4500;
          break;

        case "coins5":
          this.coins.count += 10000;
          break;
      }

      return this.delay(100);
    }
  }, {
    key: "adjoeAvailable",
    value: function adjoeAvailable() {
      return Object(tslib_es6["a" /* __awaiter */])(this, void 0, void 0,
      /*#__PURE__*/
      regeneratorRuntime.mark(function _callee3() {
        return regeneratorRuntime.wrap(function _callee3$(_context3) {
          while (1) {
            switch (_context3.prev = _context3.next) {
              case 0:
                _context3.next = 2;
                return this.delay(100);

              case 2:
                return _context3.abrupt("return", false);

              case 3:
              case "end":
                return _context3.stop();
            }
          }
        }, _callee3, this);
      }));
    }
  }, {
    key: "showAdjoe",
    value: function showAdjoe() {
      alert('show adjoe');
      return this.delay(100);
    }
  }, {
    key: "close",
    value: function close() {
      alert('close');
      return this.delay(100);
    }
  }, {
    key: "delay",
    value: function delay(ms) {
      return new Promise(function (resolve) {
        return setTimeout(resolve, ms);
      });
    }
  }]);

  return DummyBridge;
}();

/* harmony default export */ var dummy_bridge = (new dummy_bridge_DummyBridge());
// CONCATENATED MODULE: ./src/bridge/bridge_provider.ts





var bridge_provider_BridgeProvider =
/*#__PURE__*/
function () {
  function BridgeProvider() {
    Object(classCallCheck["a" /* default */])(this, BridgeProvider);
  }

  Object(createClass["a" /* default */])(BridgeProvider, null, [{
    key: "bridge",
    get: function get() {
      if (window.androidBridge) {
        return native_bridge;
      } else {
        return dummy_bridge;
      }
    }
  }]);

  return BridgeProvider;
}();


// CONCATENATED MODULE: ./node_modules/cache-loader/dist/cjs.js??ref--14-0!./node_modules/thread-loader/dist/cjs.js!./node_modules/babel-loader/lib!./node_modules/ts-loader??ref--14-3!./node_modules/cache-loader/dist/cjs.js??ref--0-0!./node_modules/vue-loader/lib??vue-loader-options!./src/views/Shop.vue?vue&type=script&lang=ts&



















var Shopvue_type_script_lang_ts_Shop =
/*#__PURE__*/
function (_Vue) {
  Object(inherits["a" /* default */])(Shop, _Vue);

  function Shop() {
    var _this;

    Object(classCallCheck["a" /* default */])(this, Shop);

    _this = Object(possibleConstructorReturn["a" /* default */])(this, Object(getPrototypeOf["a" /* default */])(Shop).apply(this, arguments));
    _this.bridge = bridge_provider_BridgeProvider.bridge;
    _this.coins = _this.bridge.coins;
    _this.premium = _this.bridge.premium;
    _this.premiumText = "";
    _this.premiumInfoText = "";
    _this.products = [];
    _this.premiumProduct = null;
    _this.freeText = "";
    _this.freeCoinsText = "";
    _this.adjoeAvailable = false;
    return _this;
  }

  Object(createClass["a" /* default */])(Shop, [{
    key: "close",
    value: function close() {
      this.bridge.close();
    }
  }, {
    key: "buy",
    value: function buy(sku) {
      this.bridge.buy(sku);
    }
  }, {
    key: "showAdjoe",
    value: function showAdjoe() {
      this.bridge.showAdjoe();
    }
  }, {
    key: "created",
    value: function created() {
      return Object(tslib_es6["a" /* __awaiter */])(this, void 0, void 0,
      /*#__PURE__*/
      regeneratorRuntime.mark(function _callee() {
        var refreshCoins, refreshPremium, productList, strings, adjoe, results, translations;
        return regeneratorRuntime.wrap(function _callee$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
                refreshCoins = this.bridge.refreshCoins();
                refreshPremium = this.bridge.refreshPremium();
                productList = this.bridge.getProducts();
                strings = this.bridge.getStrings(["premium", "shopPremiumNoAds", "shopFeatureMostWanted", "shopFeatureBestDeal", "free", "freeCoins"]);
                adjoe = this.bridge.adjoeAvailable();
                _context.next = 7;
                return Promise.all([refreshCoins, refreshPremium, productList, strings, adjoe]);

              case 7:
                results = _context.sent;
                translations = results[3];
                this.premiumText = translations.get("premium");
                this.premiumInfoText = translations.get("shopPremiumNoAds");
                this.freeText = translations.get("free");
                this.freeCoinsText = translations.get("freeCoins");
                this.adjoeAvailable = results[4];
                this.products = results[2].map(function (product) {
                  return ui_product_UIProduct.from(product);
                });
                this.extractPremiumProduct();
                this.hideProductIfAdjoeAvailable("coins4");
                this.fillBannerStrings(translations);

              case 18:
              case "end":
                return _context.stop();
            }
          }
        }, _callee, this);
      }));
    }
  }, {
    key: "extractPremiumProduct",
    value: function extractPremiumProduct() {
      this.premiumProduct = this.products.find(function (product) {
        return product.sku == "premium";
      }) || null;
      var premiumIndex = this.products.findIndex(function (product) {
        return product.sku == "premium";
      });
      if (premiumIndex !== -1) this.products.splice(premiumIndex, 1);
    }
  }, {
    key: "hideProductIfAdjoeAvailable",
    value: function hideProductIfAdjoeAvailable(sku) {
      if (this.adjoeAvailable) {
        var index = this.products.findIndex(function (product) {
          return product.sku == sku;
        });
        if (index !== -1) this.products.splice(index, 1);
      }
    }
  }, {
    key: "fillBannerStrings",
    value: function fillBannerStrings(translations) {
      this.products = this.products.map(function (product) {
        if (product.banner) {
          product.banner.text = translations.get(product.banner.text);
        }

        return product;
      });
    }
  }]);

  return Shop;
}(vue_property_decorator["c" /* Vue */]);

Shopvue_type_script_lang_ts_Shop = Object(tslib_es6["b" /* __decorate */])([Object(vue_property_decorator["a" /* Component */])({
  components: {
    Header: components_Header,
    PremiumButton: components_PremiumButton,
    ShopButton: components_ShopButton,
    ShopBanner: components_ShopBanner
  }
})], Shopvue_type_script_lang_ts_Shop);
/* harmony default export */ var Shopvue_type_script_lang_ts_ = (Shopvue_type_script_lang_ts_Shop);
// CONCATENATED MODULE: ./src/views/Shop.vue?vue&type=script&lang=ts&
 /* harmony default export */ var views_Shopvue_type_script_lang_ts_ = (Shopvue_type_script_lang_ts_); 
// EXTERNAL MODULE: ./src/views/Shop.vue?vue&type=style&index=0&id=6fc67cda&scoped=true&lang=css&
var Shopvue_type_style_index_0_id_6fc67cda_scoped_true_lang_css_ = __webpack_require__("9de5");

// CONCATENATED MODULE: ./src/views/Shop.vue






/* normalize component */

var Shop_component = Object(componentNormalizer["a" /* default */])(
  views_Shopvue_type_script_lang_ts_,
  Shopvue_type_template_id_6fc67cda_scoped_true_render,
  Shopvue_type_template_id_6fc67cda_scoped_true_staticRenderFns,
  false,
  null,
  "6fc67cda",
  null
  
)

/* harmony default export */ var views_Shop = (Shop_component.exports);
// CONCATENATED MODULE: ./src/router.ts



vue_runtime_esm["a" /* default */].use(vue_router_esm["a" /* default */]);
/* harmony default export */ var router = (new vue_router_esm["a" /* default */]({
  routes: [{
    path: '/',
    name: 'shop',
    component: views_Shop
  }]
}));
// EXTERNAL MODULE: ./node_modules/vuex/dist/vuex.esm.js
var vuex_esm = __webpack_require__("2f62");

// CONCATENATED MODULE: ./src/store.ts


vue_runtime_esm["a" /* default */].use(vuex_esm["a" /* default */]);
/* harmony default export */ var store = (new vuex_esm["a" /* default */].Store({
  state: {},
  mutations: {},
  actions: {}
}));
// CONCATENATED MODULE: ./src/main.ts








vue_runtime_esm["a" /* default */].config.productionTip = false;
new vue_runtime_esm["a" /* default */]({
  router: router,
  store: store,
  render: function render(h) {
    return h(App);
  }
}).$mount('#app');

/***/ }),

/***/ "e9da":
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "img/coin_stack.dc21a774.png";

/***/ }),

/***/ "eabd":
/***/ (function(module, exports, __webpack_require__) {

// extracted by mini-css-extract-plugin

/***/ }),

/***/ "f897":
/***/ (function(module, exports, __webpack_require__) {

// extracted by mini-css-extract-plugin

/***/ })

/******/ });
//# sourceMappingURL=app.13b0499b.js.map